DevExtreme jQuery/JS - Load Panel

The load panel is displayed while the widget loads data. It consists of a loading indicator and text, both placed on a pane.

DevExtreme HTML5/JavaScript TreeList Widget - Load Panel

The load panel is shown only for remote data sources by default. To show it regardless of the data source type, assign true to the loadPanel.enabled option. Setting the same option to false disables the load panel completely.

JavaScript
  • $(function() {
  • $("#treeListContainer").dxTreeList({
  • loadPanel: {
  • enabled: true
  • }
  • });
  • });

You can also control the load panel programmatically using the beginCustomLoading(messageText) and endCustomLoading() methods.

JavaScript
  • var treeList = $("#treeListContainer").dxTreeList("instance");
  • treeList.beginCustomLoading();
  • // ...
  • treeList.endCustomLoading();

Since the load panel is a DevExtreme LoadPanel widget, you can declare any options of this widget in the TreeList's loadPanel object. For example, you can change the panel's size with the height and width options, or employ another loading indicator using the indicatorSrc option.

JavaScript
  • $(function() {
  • $("#treeListContainer").dxTreeList({
  • loadPanel: {
  • height: 100,
  • width: 250,
  • indicatorSrc: "https://js.devexpress.com/Content/data/loadingIcons/rolling.svg"
  • }
  • });
  • });
See Also

DevExtreme Angular - Load Panel

The load panel is displayed while the widget loads data. It consists of a loading indicator and text, both placed on a pane.

DevExtreme HTML5/JavaScript TreeList Widget - Load Panel

The load panel is shown only for remote data sources by default. To show it regardless of the data source type, assign true to the loadPanel.enabled option. Setting the same option to false disables the load panel completely.

jQuery
JavaScript
$(function() {
    $("#treeListContainer").dxTreeList({
        loadPanel: {
            enabled: true
        }
    });
});
Angular
HTML
TypeScript
<dx-tree-list ... >
    <dxo-load-panel
        [enabled]="true">
    </dxo-load-panel>
</dx-tree-list>
import { DxTreeListModule } from "devextreme-angular";
// ...
export class AppComponent {
    // ...
}
@NgModule({
    imports: [
        // ...
        DxTreeListModule
    ],
    // ...
})

You can also control the load panel programmatically using the beginCustomLoading(messageText) and endCustomLoading() methods.

jQuery
JavaScript
var treeList = $("#treeListContainer").dxTreeList("instance");
treeList.beginCustomLoading();
// ...
treeList.endCustomLoading();
Angular
TypeScript
import { ..., ViewChild } from "@angular/core";
import { DxTreeListModule, DxTreeListComponent } from "devextreme-angular";
// ...
export class AppComponent {
    @ViewChild(DxTreeListComponent, { static: false }) treeList: DxTreeListComponent;
    // Prior to Angular 8
    // @ViewChild(DxTreeListComponent) treeList: DxTreeListComponent;
    doSomeLongOperation () {
        this.treeList.instance.beginCustomLoading();
        // ...
        this.treeList.instance.endCustomLoading();
    }
}
@NgModule({
    imports: [
        // ...
        DxTreeListModule
    ],
    // ...
})

Since the load panel is a DevExtreme LoadPanel widget, you can declare any options of this widget in the TreeList's loadPanel object. For example, you can change the panel's size with the height and width options, or employ another loading indicator using the indicatorSrc option.

jQuery
JavaScript
$(function() {
    $("#treeListContainer").dxTreeList({
        loadPanel: {
            height: 100,
            width: 250,
            indicatorSrc: "https://js.devexpress.com/Content/data/loadingIcons/rolling.svg"
        }
    });
});
Angular
HTML
TypeScript
<dx-tree-list ... >
    <dxo-load-panel
        [height]="100"
        [width]="250"
        indicatorSrc="https://js.devexpress.com/Content/data/loadingIcons/rolling.svg">
    </dxo-load-panel>
</dx-tree-list>
import { DxTreeListModule } from "devextreme-angular";
// ...
export class AppComponent {
    // ...
}
@NgModule({
    imports: [
        // ...
        DxTreeListModule
    ],
    // ...
})
See Also